
Redmine - Feature #1383

Map repository authors to Redmine users

2008-06-05 09:35 - Arthaey Angosii

Status: Closed Start date: 2008-06-05

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

When browsing the repository commits, it shows the repository author. I would like it to know when a repository author is also a

Redmine user -- either through matching usernames and/or a manually created table.

Related issues:

Related to Redmine - Patch #1796: Map repository authors to Redmine login names Closed 2008-08-17

Related to Redmine - Defect #2171: Error when exporting an issue to PDF with ... Closed 2008-11-13

Has duplicate Redmine - Feature #1188: Commit-message author-mapping with Red... Closed 2008-05-06

Associated revisions

Revision 2006 - 2008-11-10 19:59 - Jean-Philippe Lang

Maps repository users to Redmine users (#1383).

Users with same username or email are automatically mapped. Mapping can be manually adjusted in repository settings. Multiple usernames can be

mapped to the same Redmine user.

History

#1 - 2008-06-05 16:16 - Anonymous

Yes I'd like this too.  Our redmine usernames match our svn usernames exactly so it would be nice to see the proper name in revision information etc.

#2 - 2008-08-18 13:48 - Bernd Lommerzheim

Maybe the patch #1796 is a solution for your feature request.

#3 - 2008-08-19 23:01 - Eric Davis

+1, I'd like to see this feature also.  The matching would need to map multiple SCM usernames to one Redmine user: e.g. I'm known as edavis, eric,

ericdavis, edavis@....com or edavis10 in the SCMs in my Redmine.

#4 - 2008-11-10 17:28 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version set to 0.8

#5 - 2008-11-10 20:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Feature added in r2006.

Users with same username or email are automatically mapped. But mapping can be manually adjusted in in Project settings -> Repository -> Users.

Multiple usernames can be mapped to the same Redmine user.

#6 - 2008-11-10 22:07 - James Turnbull

Just a minor language change:

"Select ou update the Redmine user mapped to each username found in the repository log."

should be:

"Select or update the Redmine user mapped to each username found in the repository log."
https://www.redmine.org/issues/1796
https://www.redmine.org/projects/redmine/repository/svn/revisions/2006


Cheers

#7 - 2008-11-11 13:16 - Jean-Philippe Lang

Typo fixed in r2008.
